<template>
  <header class="Header">
    <MainMenu class="Header-nav" />
    <!-- <div v-if="isLoggedIn" class="Header-loggedIn">
      <span>{{ userDisplayName }}</span>
      <button @click="logout">
        Logout
      </button>
    </div>
    <div v-if="!isLoggedIn" class="Header-loggedOut">
      <nuxt-link to="/login">
        Login
      </nuxt-link>
    </div> -->
  </header>
</template>

<script lang="ts">
import { Component, Vue } from "nuxt-property-decorator";

import { authStore } from "~/store";

@Component
export default class Header extends Vue {
  get isLoggedIn() {
    return authStore.isLoggedIn;
  }

  get userDisplayName() {
    return authStore.user?.displayName.current.value;
  }

  async logout() {
    await authStore.logout();
    this.$router.push("/");
  }
}
</script>

<style lang="scss" scoped>
.Header {
  $padding: 5px;

  position: relative;
  height: 156px;
  padding: 0 $padding;
  background:
    url("~/assets/images/header_left.png") no-repeat bottom left,
    url("~/assets/images/header_middle.png") no-repeat bottom center,
    url("~/assets/images/header_right.png") no-repeat bottom right;

  &::before {
    content: "";
    position: absolute;
    bottom: 0;
    left: $padding;
    width: calc(100% - #{2 * $padding});
    height: 100%;
    background: url("~/assets/images/header_bg.png") repeat-x bottom;
    z-index: -1;
  }

  &-nav {
    position: absolute;
    left: $padding;
    bottom: 0;
  }

  &-user {
    display: flex;
  }
}
</style>
